package com.utopiaindustries.hseobservationsapp.utils;

import java.util.List;

public class HseReportActivityStorageManager {
    private static HseReportActivityStorageManager instance;
   // private ArrayList<byte[]> imageListPaper;

    private String reportDate;
    private int userId;
    private int siteId;
    private int supervisorId;
    private String supervisorName;
    private String shiftName;
    private int recordTypeId;
    private String recordTypeName;

    private int observationClassId;
    private String hseObservationName;

    private int observationSubClassId;
    private String hseObservationSubClassName;

    private int departmentId;
    private String departmentName;

    private List<byte[]> beforePictures;
    private List<byte[]> afterPictures;

    private String riskLevel;
    private boolean observationStatus;
    private String description;

    private HseReportActivityStorageManager() {

    }

    public static HseReportActivityStorageManager getInstance() {
        if (instance == null) {
            instance = new HseReportActivityStorageManager();
        }
        return instance;
    }

    public String getReportDate() {
        return reportDate;
    }

    public void setReportDate(String reportDate) {
        this.reportDate = reportDate;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getSiteId() {
        return siteId;
    }

    public void setSiteId(int siteId) {
        this.siteId = siteId;
    }

    public int getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(int supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getSupervisorName() {
        return supervisorName;
    }

    public void setSupervisorName(String supervisorName) {
        this.supervisorName = supervisorName;
    }

    public String getShiftName() {
        return shiftName;
    }

    public void setShiftName(String shiftName) {
        this.shiftName = shiftName;
    }

    public int getRecordTypeId() {
        return recordTypeId;
    }

    public void setRecordTypeId(int recordTypeId) {
        this.recordTypeId = recordTypeId;
    }

    public String getRecordTypeName() {
        return recordTypeName;
    }

    public void setRecordTypeName(String recordTypeName) {
        this.recordTypeName = recordTypeName;
    }

    public int getObservationClassId() {
        return observationClassId;
    }

    public void setObservationClassId(int observationClassId) {
        this.observationClassId = observationClassId;
    }

    public String getHseObservationName() {
        return hseObservationName;
    }

    public void setHseObservationName(String hseObservationName) {
        this.hseObservationName = hseObservationName;
    }

    public int getObservationSubClassId() {
        return observationSubClassId;
    }

    public void setObservationSubClassId(int observationSubClassId) {
        this.observationSubClassId = observationSubClassId;
    }

    public String getHseObservationSubClassName() {
        return hseObservationSubClassName;
    }

    public void setHseObservationSubClassName(String hseObservationSubClassName) {
        this.hseObservationSubClassName = hseObservationSubClassName;
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public List<byte[]> getBeforePictures() {
        return beforePictures;
    }

    public void setBeforePictures(List<byte[]> beforePictures) {
        this.beforePictures = beforePictures;
    }

    public List<byte[]> getAfterPictures() {
        return afterPictures;
    }

    public void setAfterPictures(List<byte[]> afterPictures) {
        this.afterPictures = afterPictures;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public boolean getObservationStatus() {
        return observationStatus;
    }

    public void setObservationStatus(boolean observationStatus) {
        this.observationStatus = observationStatus;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void clearAllData() {

        reportDate = null;
        userId = 0;
        siteId = 0;
        supervisorId = 0;
        supervisorName = null;
        shiftName = null;
        recordTypeId = 0;
        recordTypeName = null;
        observationClassId = 0;
        hseObservationName = null;
        observationSubClassId = 0;
        hseObservationSubClassName = null;
        departmentId = 0;
        departmentName = null;
        beforePictures = null;
        afterPictures = null;
        riskLevel = null;
        observationStatus = false;
        description = null;
    }

    @Override
    public String toString() {
        return "ObservationStorageManager{" +
                "reportDate='" + reportDate + '\'' +
                ", userId=" + userId +
                ", siteId=" + siteId +
                ", supervisorId=" + supervisorId +
                ", supervisorName='" + supervisorName + '\'' +
                ", shiftName='" + shiftName + '\'' +
                ", recordTypeId=" + recordTypeId +
                ", recordTypeName='" + recordTypeName + '\'' +
                ", observationClassId=" + observationClassId +
                ", hseObservationName='" + hseObservationName + '\'' +
                ", observationSubClassId=" + observationSubClassId +
                ", hseObservationSubClassName='" + hseObservationSubClassName + '\'' +
                ", departmentId=" + departmentId +
                ", departmentName='" + departmentName + '\'' +
                ", beforePicture=" + beforePictures +
                ", afterPicture=" + afterPictures +
                ", riskLevel='" + riskLevel + '\'' +
                ", observationStatus='" + observationStatus + '\'' +
                ", description='" + description + '\'' +
                '}';
    }
}
